Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#20931 - [ruby-atk] Empty package file after update to 0.90.1-1

Attached to Project: Community Packages
Opened by henning mueller (phects) - Friday, 24 September 2010, 14:08 GMT
Last edited by Brad Fanella (cesura) - Saturday, 25 September 2010, 04:18 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Brad Fanella (cesura)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:
After updating to ruby-atk-0.90.1-1, atk as a library is not found any longer:

0$ pacman -Ql ruby-atk
0$

0$ irb -r atk
<internal:lib/rubygems/custom_require>:29:in `require':LoadError: no such file to load -- atk
irb(main):001:0>


Additional info:
0$ LANG=C pacman -Qi ruby-atk
Name : ruby-atk
Version : 0.90.1-1
Installed Size : 8.00 K
Packager : Brad Fanella
Architecture : x86_64
Build Date : Thu Sep 23 23:47:18 2010
Install Date : Fri Sep 24 15:42:01 2010


Steps to reproduce:
0$ pacman -Sy ruby-atk


Guess:
I maintain ruby-libglade in AUR and after updating the PKGBUILD to ruby-gnome2 0.90.1, makepkg did not break despite of the fact, that the build was not successful due to the gem pkg-config missing. It ended up with an empty package file (containing only .PKGINFO).
This task depends upon

Closed by  Brad Fanella (cesura)
Saturday, 25 September 2010, 04:18 GMT
Reason for closing:  Fixed
Additional comments about closing:  Only occured with x86_64 package. I have rebuilt the packages and uploaded them.

Loading...